<?php

declare(strict_types=1);

namespace App\Loader;

use ApiPlatform\Symfony\Routing\ApiLoader;
use Symfony\Component\Config\Loader\Loader;
use Symfony\Component\DependencyInjection\Attribute\AsDecorator;
use Symfony\Component\DependencyInjection\Attribute\Autoconfigure;

#[Autoconfigure(tags: ['routing.loader'])]
#[AsDecorator('api_platform.route_loader')]
class RouteLoader extends Loader
{
    public function __construct(private readonly ApiLoader $decorated)
    {
    }

    public function load(mixed $resource, string $type = null)
    {
        return $this->decorated->load($resource, $type);
    }

    public function supports(mixed $resource, string $type = null)
    {
        return $this->decorated->supports($resource, $type);
    }
}
